* {
  box-sizing: border-box;
}

:root {
  --primary: #3b3b98;
  --primary-light: #1b9cfc;
  --primary-dark: #182c61;
  --secondary-light: #25ccf7;
}

body {
  height: 100vh;
  /* width: 100vw; */
  font-family: Roboto Condensed, Arial, Helvetica, sans-serif;
  padding: 0;
  margin: 0;
}

section {
  min-height: 100vh;
  /* width: 100vw; */
  display: flex;
  align-items: center;
  justify-content: center;
  flex-direction: column;
  position: relative;
  padding: 10vh 2vw;
}

.background-image {
  position: fixed;
  bottom: 0;
  width: 80vw;
  filter: blur(6px);
  opacity: 0.6;
  z-index: -1;
  display: flex;
}

.background-image > img {
  flex: 1;
  max-width: 50%;
}

.full-logo {
  width: 100%;
  /* margin-top: 10vh; */
}

.compact-logo, .text-logo {
  display: none;
}

.logo-container {
  width: 50vw;
}

h1 {
  font-size: 3rem;
  text-align: center;
}

.content {
  flex: 1;
}

.with-footer {
  padding-bottom: 0;
}

.footer {
  height: 10vh;
  padding: 2vh;
  display: flex;
  justify-content: center;
  align-items: center;
  gap: 2rem;
  justify-self: flex-end;
}

button {
  border: unset;
  background: unset;
  cursor: pointer;
  transition: 0.2s;
  height: 100%;
}

button:hover {
  transition: 0.2s;
  transform: scale(1.1);
}

.footer img {
  height: 100%;

  background: #fff;
  border-radius: 50%;
}

.team-grid {
  display: grid;
  grid-template-rows: 1fr 1fr;
  grid-template-columns: 1fr 1fr 1fr;
  margin: 2rem 0;
}

.team-member {
  /* border: thin solid var(--secondary-light); */
  margin: 1rem;
  border-radius: 18px;
  background-color: rgba(255, 255, 255, 0.6);
  /* box-shadow: 0px 0px 24px 4px var(--secondary-light); */
  box-shadow: 0px 0px 6px -2px var(--secondary-light);
}

.team-member-content {
  display: flex;
  padding: 2rem;
}

.team-member-img {
  background: #5fbad6;
  border-radius: 50%;
  height: 128px;
  width: 128px;
  align-self: center;
}

.team-member-img > img {
  height: 128px;
  border-radius: 50%;
}

.team-member-details {
  margin-left: 1.5rem;
  align-self: center;
}

.team-member-name {
  font-size: 1.5rem;
  font-weight: 600;
}

.team-member-position {
  font-size: 1.2rem;
  margin-bottom: 1rem;
  color: var(--primary);
}

@media only screen and (min-width: 120.063em) {
  .team-grid {
    display: grid;
    margin: 4rem 0;
  }

  .section-two > h1 {
    font-size: 3.5rem !important;
  }

  .team-member-content {
    padding: 3rem !important;
  }

  .team-member-img {
    height: 180px !important;
    width: 180px !important;
  }

  .team-member-img > img {
    height: 180px !important;
  }

  .team-member-details {
    margin-left: 2.5rem !important;
  }

  .team-member-name {
    font-size: 2.5rem !important;
  }

  .team-member-position {
    margin-bottom: 1.5rem !important;
    font-size: 1.5rem !important;
  }
}

/* iPad - Portrait and Landscape */
@media only screen 
  and (max-device-width: 1024px) 
  and (-webkit-min-device-pixel-ratio: 1) {

  .team-grid {
    grid-template-rows: 1fr 1fr 1fr;
    grid-template-columns: 1fr 1fr;
  }
}


/* Portrait */
@media only screen and (max-device-width: 700px) and (-webkit-min-device-pixel-ratio: 2) and (orientation: portrait) {
  .background-image {
    filter: blur(2px);
  }

  .background-image > img:first-child {
    display: none;
  }

  .background-image > img {
    max-width: 100%;
  }

  .logo-container {
    width: 80vw;
    display: flex;
    flex-direction: column;
    align-items: center;
  }

  .compact-logo {
    display: block;
    width: 80%;
  }

  .text-logo {
    display: block;
    width: 100%;
  }

  .full-logo {
    display: none;
  }

  .team-grid {
    display: grid;
    grid-template-rows: 1fr 1fr 1fr 1fr 1fr 1fr !important;
    grid-template-columns: 1fr !important;
    margin: 4rem 0;
  }

  .team-member-content {
    flex-direction: column;
  }

  .team-member-intro {
    margin-bottom: 1rem;
  }

  .team-member-details {
    margin-left: unset !important;
    margin-top: 1rem;
  }

  .team-member-name,
  .team-member-position {
    text-align: center;
  }
}
